88mids

Get payment status

Provide id or orderId.

POST/api/v3/external/payment/status

Provide id or orderId.

apikey<token>

Your merchant API key, provided by your admin.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Provide id or orderId.

Provide id or orderId.

Response Body

application/json

curl -X POST "https://example.com/api/v3/external/payment/status" \  -H "apikey: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "id": "txn_123456",    "orderId": "order_987654"  }'
{  "status": "string",  "id": "string",  "orderId": "string",  "amount": 0,  "currency": "string",  "createdAt": "2019-08-24T14:15:22Z",  "paidAt": "2019-08-24T14:15:22Z",  "fee": 0,  "method": "string"}